Bug 139705 - xorg-x11-sdk misses files
xorg-x11-sdk misses files
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-11-17 12:13 EST by Emmanuel Thomé
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-11 15:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Emmanuel Thomé 2004-11-17 12:13:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:

xorg-x11-sdk misses too many files to build drivers ; there are
_several_ issues. Most of them exist upstream.

When trying to build the drivers, I encounter several successive failures:

./mkmf (as suggested in README) --> missing host-i386.def

config/cf is screwed ; not really a problem , we'll simply do imake by
ourselves instead

xmkmf -DTOPDIR=. -DCURDIR=. -DXF86DriverSDK=1 -a ; make

--> make depends shows a fair number of missing files.

--> make fails in first driver (drivers/mga) on missing mga_maven.h

--> I'm focusing now on 
make -C drivers/ati/ --> missing xf86misc.h

xf86misc.h is from the extensions/ include dir. Ugly fix on the
Imakefile, adding -I/usr/X11R6/include/X11/extensions/ to INCLUDES

now, at least the following files are missing:


these files should be referenced from the Imakefile using the
InstallDriverSDKNonExecFile macro. The problem is that the Imakefiles
have gone out of sync to this respect. As xorg-x11-sdk is built from
``make install.sdk'', chaos comes.

I'd suggest trying to have this fixed upstream, and in the meantime,
either stop shipping xorg-x11-sdk completely, or amend the README.



Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

install xorg-x11-sdk

try to build the drivers from there. The README file is there, but it
won't help you much.

Additional info:

Here's a diff between what's in the src.rpm and the sdk:

-bash-3.00$ diff -ur drivers /tmp/drivers/  | grep '^Only' | grep
Only in /tmp/drivers/ati: r128_chipset.h
Only in /tmp/drivers/ati: radeon_chipset.h
Only in /tmp/drivers/ati: radeon_mergedfb.c
Only in /tmp/drivers/ati: radeon_mergedfb.h
Only in /tmp/drivers/ati: radeon_render.c
Only in /tmp/drivers/mga: mga_maven.h
Only in /tmp/drivers/nv: nv_dma.h
Only in /tmp/drivers/nv: nvreg.h
Only in /tmp/drivers/nv: nvvga.h
Only in /tmp/drivers/rendition: vmisc.c
Only in /tmp/drivers/rendition: vmisc.h
Only in /tmp/drivers/savage: savage_dri.c
Only in /tmp/drivers/savage: savage_dri.h
Only in /tmp/drivers/savage: savage_dripriv.h
Only in /tmp/drivers/savage: savage_drm.h
Only in /tmp/drivers/savage: savage_hwmc.c
Only in /tmp/drivers/savage: savage_sarea.h
Only in /tmp/drivers/via: via_i2c.h
Only in /tmp/drivers/via: via_memory.c
Only in /tmp/drivers/via: via_tuner.c
Comment 1 Mike A. Harris 2004-11-17 20:27:32 EST
host-i386.def is a local Red Hat modification which was required
in order to allow multiarch X11 development installations on
biarch architectures like AMD64, PPC64 (you can have both i386
and x86_64 versions of packages installed on AMD64).  So that one
issue is something we'd need to make a local fix for in our
packaging - although the problem we've fixed ultimately should
end up in upstream sources in a future release.  As such, I'll
leave this issue open for us to investigate adding host-$arch.def
to the SDK.

All of the other issues will need to be filed in X.Org bugzilla
located at http://bugs.freedesktop.org so that they can get fixed
upstream, both in future major X releases, as well as the stable
branch of CVS which will be used for point releases (bugfix

Once you've filed bug reports for the remaining SDK issues
noted above, you can paste the URLs of each xorg bug you've
filed on freedesktop.org here if you prefer, and Red Hat will
track the issue upstream.

On a side note - if you file these upstream right away, there
is a good chance they'll get fixed in the 6.8.2 release which
will be released in the next few months.  We'll be updating to
6.8.2 for FC3 once it is released.

Comment 3 Mike A. Harris 2005-04-11 15:22:12 EDT
The sdk is included primarily to allow us to build the linuxwacom,
and synaptics drivers out of tree as they are under different licenses
than X.org is.  The driver source code has been removed from the SDK,
as it's not particularly useful being in there.  If someone wants
to build the drivers or play with their source, the source is in
the src.rpm anyway.

The sdk seems to work for the purposes we include it for currently,
however if you find problems with it, be sure to report them to
X.Org at http://bugs.freedesktop.org in the "xorg" component so they
can update the official SDK installation process.

Note You need to log in before you can comment on or make changes to this bug.